com.zipcodewilmington.streams

## Class StreamFilter

- java.lang.Object
- - com.zipcodewilmington.streams.StreamFilter

-     public class StreamFilter
      extends java.lang.Object

  Created by leon on 5/2/17.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `startingCharacter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamFilter()` No arg constructor
    `StreamFilter(java.util.List<Person> people, java.lang.Character startingCharacter)`
    `StreamFilter(Person[] people, java.lang.Character startingCharacter)`
    `StreamFilter(java.util.stream.Stream<Person> people, java.lang.Character startingCharacter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Person[]` | `toArrayMultiLine()` Using multi-line lambda syntax
    `Person[]` | `toArrayOneLine()` Using one-line lambda syntax
    `java.util.List<Person>` | `toListMultiLine()` Using multi-line lambda syntax
    `java.util.List<Person>` | `toListOneLine()` Using one-line lambda syntax

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startingCharacter

          public final java.lang.String startingCharacter

  - ### Constructor Detail

    - #### StreamFilter

          public StreamFilter()

      No arg constructor

    - #### StreamFilter

          public StreamFilter(Person[] people,
                              java.lang.Character startingCharacter)

      Parameters:
        `people` - - Array of person objects
        `startingCharacter` - - character to filter by

    - #### StreamFilter

          public StreamFilter(java.util.List<Person> people,
                              java.lang.Character startingCharacter)

      Parameters:
        `people` - - List of person objects
        `startingCharacter` - - character to filter by

    - #### StreamFilter

          public StreamFilter(java.util.stream.Stream<Person> people,
                              java.lang.Character startingCharacter)

      Parameters:
        `people` - - Stream of person objects
        `startingCharacter` - - character to filter by

  - ### Method Detail

    - #### toListMultiLine

          public java.util.List<Person> toListMultiLine()

      Using multi-line lambda syntax
      Returns:
        a list of person object whose name starts with `this.startingCharacter`

    - #### toListOneLine

          public java.util.List<Person> toListOneLine()

      Using one-line lambda syntax
      Returns:
        a list of person objects whose name starts with `this.startingCharacter`

    - #### toArrayOneLine

          public Person[] toArrayOneLine()

      Using one-line lambda syntax
      Returns:
        an array of person object whose name starts with `this.startingCharacter`

    - #### toArrayMultiLine

          public Person[] toArrayMultiLine()

      Using multi-line lambda syntax
      Returns:
        an array of person object whose name starts with `this.startingCharacter`